## Apache Zeta Components Manual :: Docs For Class ezcGraphPaletteBlack

### Graph::ezcGraphPaletteBlack

### Class ezcGraphPaletteBlack

Dark color pallet for ezcGraph based on Tango style guidelines at http://tango-project.org/Generic_Icon_Theme_Guidelines

Source for this file: /Graph/src/palette/black.php

    ezcGraphPalette
       |
       --ezcGraphPaletteBlack

Version: | //autogentag//

### Member Variables

protected ezcGraphColor | `$axisColor = '#EEEEEC'` Axiscolor
protected ezcGraphColor | `$chartBackground = '#2E3436'` Backgroundcolor
protected array | `$dataSetColor = array( '#729FCF', '#EF2929', '#FCE94F', '#8AE234', '#F57900', '#AD7FA8', )` Array with colors for datasets
protected array | `$dataSetSymbol = array( ezcGraph::BULLET, )` Array with symbols for datasets
protected string | `$elementBorderColor = '#555753'` Border color for chart elements
protected integer | `$elementBorderWidth = 1` Border width for chart elements
protected ezcGraphColor | `$fontColor = '#D3D7CF'` Fontcolor
protected string | `$fontName = 'sans-serif'` Name of font to use
protected ezcGraphColor | `$majorGridColor = '#888A85'` Color of grid lines
protected integer | `$margin = 1` Margin of elements
protected ezcGraphColor | `$minorGridColor = '#888A8588'` Color of minor grid lines
protected integer | `$padding = 1` Padding in elements

### Inherited Member Variables

From ezcGraphPalette
protected | `ezcGraphPalette::$chartBorderColor`
protected | `ezcGraphPalette::$chartBorderWidth`
protected | `ezcGraphPalette::$colorIndex`
protected | `ezcGraphPalette::$elementBackground`
protected | `ezcGraphPalette::$symbolIndex`

### Inherited Methods

From ezcGraphPalette
protected ezcGraphColor | `ezcGraphPalette::checkColor()` Ensure value to be a color
public void | `ezcGraphPalette::resetColorCounter()` Manually reset the color counter to use the first color again

Documentation generated by phpDocumentor 1.4.3